<?php

class Institucion extends Conexion {
    /* =============================================
      VER DATOS DE INSTITUCION POR ID
      ============================================= */

    public function Institucion_por_ID($institucionId) {
        $conectar = parent::conectar();
        parent::set_names();
        $sql = "
                SELECT * FROM prac_institucion                                
                WHERE instituciondbk = ?
                ";
        $sql = $conectar->prepare($sql);
        $sql->bindValue(1, $institucionId);
        $sql->execute();
        return $resultado = $sql->fetchAll();
    }

    /* =============================================
      ELIMINAR DATOS DE INSTITUCION POR ID
      ============================================= */

    public function Eliminar_por_ID($institucionId) {
        $conectar = parent::conectar();
        parent::set_names();
        $sql = "
                DELETE FROM prac_institucion WHERE instituciondbk = ?
                ";
        $sql = $conectar->prepare($sql);
        $sql->bindValue(1, $institucionId);
        $sql->execute();
        return $resultado = $sql->fetchAll();
    }

    /* =============================================
      IMPRIMIR TABLA DE INSTITUCION
      ============================================= */

    public function Consultar($fil) {
        $conectar = parent::conectar();
        parent::set_names();
        switch ($fil) {
            case "all":
                $sql = "SELECT * FROM prac_institucion";
                break;
            case "H":
                $sql = "";
                break;
            case "M":
                $sql = "";
                break;
            case "D":
                $sql = "";
                break;
        }
        $sql = $conectar->prepare($sql);
        $sql->execute();
        return $resultado = $sql->fetchAll();
    }

    /* =============================================
      ACTUALIZAR O INSERTAR INSTITUCION
      ============================================= */

    public function mdlActualizarInstitucion($datos) {
        $conectar = parent::conectar();
        parent::set_names();
        if ($datos["instituciondbk"] == "") {
            $sql = "INSERT INTO " . $datos["tabla"] . "  
                (razon_social,ruc,domicilio,telefono,email,estado,actividad,tipo,sector_economico)
                VALUES (?,?,?,?,?,?,?,?,?);
                ";
            $sql = $conectar->prepare($sql);
            $sql->bindValue(1, $datos["razon_social"]);
            $sql->bindValue(2, $datos["ruc"]);
            $sql->bindValue(3, $datos["domicilio"]);
            $sql->bindValue(4, $datos["telefono"]);
            $sql->bindValue(5, $datos["email"]);            
            $sql->bindValue(6, "ACTIVO");   
            $sql->bindValue(7, $datos["actividad"]);
            $sql->bindValue(8, $datos["tipo"]);
            $sql->bindValue(9, $datos["sector_economico"]);            
            $sql->execute();
        } else {
            $sql = "UPDATE " . $datos["tabla"] . " SET
                razon_social = ?, ruc = ?, domicilio = ?, telefono = ?, email = ?, actividad = ?, tipo = ?, sector_economico = ?  
                WHERE instituciondbk = ?;
                ";
            $sql = $conectar->prepare($sql);
            $sql->bindValue(1, $datos["razon_social"]);
            $sql->bindValue(2, $datos["ruc"]);
            $sql->bindValue(3, $datos["domicilio"]);
            $sql->bindValue(4, $datos["telefono"]);
            $sql->bindValue(5, $datos["email"]);            
            $sql->bindValue(6, $datos["actividad"]);  
            $sql->bindValue(7, $datos["tipo"]);
            $sql->bindValue(8, $datos["sector_economico"]);
            $sql->bindValue(9, $datos["instituciondbk"]);
            $sql->execute();
        }
        return $resultado = $sql->fetchAll();
    }

    public function mdlActualizarEstado($datos) {
        $conectar = parent::conectar();
        parent::set_names();
        $sql = "UPDATE " . $datos["tabla"] . "  
                SET estado = ?
                WHERE instituciondbk = ?";
        $sql = $conectar->prepare($sql);
        $sql->bindValue(1, $datos["estado"]);
        $sql->bindValue(2, $datos["instituciondbk"]);
        $sql->execute();
        return $resultado = $sql->fetchAll();
    }

}

?>
